Subject: RE: bug#15931: 24.3.50; emacs_backtrace.txt

From: Drew Adams <[email-masked]>
Date: Tue, 19 Nov 2013 16:50:34 -0800 (PST)

I've been getting the last part of this, after the ...
quite often now.

The last time, at least, was using C-g in the minibuffer.

This is the command that C-g is bound to there, but it ends by 
doing just `abort-recursive-edit'.  I suspect that is where the 
crash occurs, since I'm not aware of changes that would affect
the rest of it.

(defun icicle-abort-recursive-edit ()
  (interactive)
  (if (and mark-active
           (boundp 'delete-selection-mode)
           delete-selection-mode
           (eq (selected-window) (minibuffer-window))
           (active-minibuffer-window))
      (deactivate-mark)
    (if (not (active-minibuffer-window))
        (when (get-buffer "*Completions*")
          (kill-buffer (get-buffer "*Completions*")))
      (when (and (boundp '1on1-fit-minibuffer-frame-flag)
                 1on1-fit-minibuffer-frame-flag
                 (require 'fit-frame nil t))
        (1on1-fit-minibuffer-frame 'RESET))
      (icicle-remove-Completions-window 'FORCE))
    (abort-recursive-edit)))

> This might be similar to the last one - the first part seems the
> same,
> at least.
> 
> 
> Backtrace:
> 0x011ecaa7
> 0x011ecb19
> 0x010e18c4
> 0x0115473f
> 0x01119674
> 0x01136b8b
> 0x0112e069
> 0x01160671
> 0x011727ec
> 0x011b2b6f
> 0x01173392
> 0x01172a28
> 0x01171d90
> 0x01172197
> 0x01171e07
> 0x011726dc
> 0x011b2b6f
> 0x01172fce
> 0x01172a28
> 0x01171d90
> 0x01172197
> 0x01171e07
> 0x011190fa
> 0x0111816b
> 0x011271e9
> 0x011728c0
> 0x011b2b6f
> 0x01172fce
> 0x01172a28
> 0x011b2b6f
> 0x01172fce
> 0x01172a28
> 0x011b2b6f
> 0x01172fce
> 0x01172a28
> 0x0117197c
> 0x01172282
> 0x0116a666
> 0x01172841
> 0x011b2b6f
> 0x01172fce
> 0x01172a28
> 0x011b2b6f
> 0x01172fce
> 0x01172a28
> 0x01171d4d
> 0x01172282
> 0x0116a666
> 0x01172841
> 0x011b2b6f
> 0x01172fce
> 0x01172a28
> 0x011722d7
> 0x010e5a64
> 0x0116f6e8
> 0x010e50b8
> 0x0116ec95
> 0x010e5070
> 0x010e4808
> 0x010e49c4
> 0x010e2c2f
> 0x010010b5
> ...
> 
> Backtrace:
> 0x011ecaa7
> 0x011ecb19
> 0x010e18c4
> 0x01105320
> 0x011052fb
> 0x01105354
> 0x010011e2
> 0x768cfff7
> 0x776374fb
> 0x775f9f41
> 
> 
> 
> 
> In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
>  of 2013-11-12 on LEG570
> Windowing system distributor `Microsoft Corp.', version 6.1.7601
> Configured using:
>  `configure --enable-checking 'CFLAGS=-O0 -g3' CPPFLAGS=-
> DGLYPH_DEBUG=1'